- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.InterconnectGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.InterconnectGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION)
      - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.InterconnectGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION.diagnostics.SCHEMA_REPRESENTATION)
      - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.InterconnectGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION.diagnostics.SCHEMA_REPRESENTATION_1)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.InterconnectGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_1)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.InterconnectGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_2)
      - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.InterconnectGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_2.topology_capability.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.InterconnectGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_3)
      - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.InterconnectGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_3.topology_capability.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectGroups/getOperationalStatus#try-it)

Returns the `interconnectStatuses` for the specified InterconnectGroup.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/global/interconnectGroups/{interconnectGroup}/getOperationalStatus`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `interconnectGroup` | `string` Name of the interconnectGroup resource to query. |

### Request body

The request body must be empty.

### Response body

Response for the InterconnectGroupsGetOperationalStatusResponse.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "result": { "groupStatus": enum, "interconnectStatuses": [ { "interconnect": string, "isActive": enum, "adminEnabled": boolean, "diagnostics": { "macAddress": string, "arpCaches": [ { "macAddress": string, "ipAddress": string } ], "links": [ { "circuitId": string, "googleDemarc": string, "receivingOpticalPower": { "value": number, "state": enum }, "transmittingOpticalPower": { "value": number, "state": enum }, "lacpStatus": { "state": enum, "googleSystemId": string, "neighborSystemId": string }, "operationalStatus": enum, "arpCaches": [ { "macAddress": string, "ipAddress": string } ], "macsec": { "operational": boolean, "ckn": string } } ], "bundleOperationalStatus": enum, "bundleAggregationType": enum } } ], "intent": { "topologyCapability": enum }, "configured": { "topologyCapability": { "supportedSla": enum, "intendedCapabilityBlockers": [ { "blockerType": enum, "explanation": string, "documentationLink": string, "metros": [ string ], "facilities": [ string ], "zones": [ string ], "interconnects": [ string ] } ] } }, "operational": { "topologyCapability": { "supportedSla": enum, "intendedCapabilityBlockers": [ { "blockerType": enum, "explanation": string, "documentationLink": string, "metros": [ string ], "facilities": [ string ], "zones": [ string ], "interconnects": [ string ] } ] } } }, "etag": string } ``` |

| Fields ||
|---|---|
| `result` | `object` |
| `result.groupStatus` | `enum` Output only. Summarizes the status of the group. |
| `result.interconnectStatuses[]` | `object` |
| `result.interconnectStatuses[].interconnect` | `string` Output only. The URL of the Interconnect being described. |
| `result.interconnectStatuses[].isActive` | `enum` Output only. Whether this interconnect is participating in the redundant configuration. |
| `result.interconnectStatuses[].adminEnabled` | `boolean` Output only. Whether the Interconnect is enabled. |
| `result.interconnectStatuses[].diagnostics` | `object` Output only. The diagnostics of the Interconnect, as returned by the existing get-diagnostics method. |
| `result.interconnectStatuses[].diagnostics.macAddress` | `string` The MAC address of the Interconnect's bundle interface. |
| `result.interconnectStatuses[].diagnostics.arpCaches[]` | `object` A list of `InterconnectDiagnostics.ARPEntry` objects, describing individual neighbors currently seen by the Google router in the ARP cache for the Interconnect. This will be empty when the Interconnect is not bundled. |
| `result.interconnectStatuses[].diagnostics.arpCaches[].macAddress` | `string` The MAC address of this ARP neighbor. |
| `result.interconnectStatuses[].diagnostics.arpCaches[].ipAddress` | `string` The IP address of this ARP neighbor. |
| `result.interconnectStatuses[].diagnostics.links[]` | `object` A list of `InterconnectDiagnostics.LinkStatus` objects, describing the status for each link on the Interconnect. |
| `result.interconnectStatuses[].diagnostics.links[].circuitId` | `string` The unique ID for this link assigned during turn up by Google. |
| `result.interconnectStatuses[].diagnostics.links[].googleDemarc` | `string` The Demarc address assigned by Google and provided in the LoA. |
| `result.interconnectStatuses[].diagnostics.links[].receivingOpticalPower` | `object` An `InterconnectDiagnostics.LinkOpticalPower` object, describing the current value and status of the received light level. |
| `result.interconnectStatuses[].diagnostics.links[].receivingOpticalPower.value` | `number` Value of the current receiving or transmitting optical power, read in dBm. Take a known good optical value, give it a 10% margin and trigger warnings relative to that value. In general, a -7dBm warning and a -11dBm alarm are good optical value estimates for most links. |
| `result.interconnectStatuses[].diagnostics.links[].receivingOpticalPower.state` | `enum` The status of the current value when compared to the warning and alarm levels for the receiving or transmitting transceiver. Possible states include: - `OK`: The value has not crossed a warning threshold. - `LOW_WARNING`: The value has crossed below the low warning threshold. - `HIGH_WARNING`: The value has crossed above the high warning threshold. - `LOW_ALARM`: The value has crossed below the low alarm threshold. - `HIGH_ALARM`: The value has crossed above the high alarm threshold. <br /> |
| `result.interconnectStatuses[].diagnostics.links[].transmittingOpticalPower` | `object` An `InterconnectDiagnostics.LinkOpticalPower` object, describing the current value and status of the transmitted light level. |
| `result.interconnectStatuses[].diagnostics.links[].transmittingOpticalPower.value` | `number` Value of the current receiving or transmitting optical power, read in dBm. Take a known good optical value, give it a 10% margin and trigger warnings relative to that value. In general, a -7dBm warning and a -11dBm alarm are good optical value estimates for most links. |
| `result.interconnectStatuses[].diagnostics.links[].transmittingOpticalPower.state` | `enum` The status of the current value when compared to the warning and alarm levels for the receiving or transmitting transceiver. Possible states include: - `OK`: The value has not crossed a warning threshold. - `LOW_WARNING`: The value has crossed below the low warning threshold. - `HIGH_WARNING`: The value has crossed above the high warning threshold. - `LOW_ALARM`: The value has crossed below the low alarm threshold. - `HIGH_ALARM`: The value has crossed above the high alarm threshold. <br /> |
| `result.interconnectStatuses[].diagnostics.links[].lacpStatus` | `object` |
| `result.interconnectStatuses[].diagnostics.links[].lacpStatus.state` | `enum` The state of a LACP link, which can take one of the following values: - ACTIVE: The link is configured and active within the bundle. - DETACHED: The link is not configured within the bundle. This means that the rest of the object should be empty. <br /> |
| `result.interconnectStatuses[].diagnostics.links[].lacpStatus.googleSystemId` | `string` System ID of the port on Google's side of the LACP exchange. |
| `result.interconnectStatuses[].diagnostics.links[].lacpStatus.neighborSystemId` | `string` System ID of the port on the neighbor's side of the LACP exchange. |
| `result.interconnectStatuses[].diagnostics.links[].operationalStatus` | `enum` The operational status of the link. |
| `result.interconnectStatuses[].diagnostics.links[].arpCaches[]` | `object` A list of `InterconnectDiagnostics.ARPEntry` objects, describing the ARP neighbor entries seen on this link. This will be empty if the link is bundled |
| `result.interconnectStatuses[].diagnostics.links[].arpCaches[].macAddress` | `string` The MAC address of this ARP neighbor. |
| `result.interconnectStatuses[].diagnostics.links[].arpCaches[].ipAddress` | `string` The IP address of this ARP neighbor. |
| `result.interconnectStatuses[].diagnostics.links[].macsec` | `object` Describes the status of MACsec encryption on this link. |
| `result.interconnectStatuses[].diagnostics.links[].macsec.operational` | `boolean` Indicates whether or not MACsec is operational on this link. |
| `result.interconnectStatuses[].diagnostics.links[].macsec.ckn` | `string` Indicates the Connectivity Association Key Name (CKN) currently being used if MACsec is operational. |
| `result.interconnectStatuses[].diagnostics.bundleOperationalStatus` | `enum` The operational status of the bundle interface. |
| `result.interconnectStatuses[].diagnostics.bundleAggregationType` | `enum` The aggregation type of the bundle interface. |
| `result.intent` | `object` Output only. The intent of the resource, as returned by interconnectGroups.get. |
| `result.intent.topologyCapability` | `enum` |
| `result.configured` | `object` Output only. The configuration analysis, as returned by interconnectGroups.get. |
| `result.configured.topologyCapability` | `object` |
| `result.configured.topologyCapability.supportedSla` | `enum` |
| `result.configured.topologyCapability.intendedCapabilityBlockers[]` | `object` |
| `result.configured.topologyCapability.intendedCapabilityBlockers[].blockerType` | `enum` |
| `result.configured.topologyCapability.intendedCapabilityBlockers[].explanation` | `string` Output only. A human-readable explanation of this requirement and why it's not met. This is set for every type of requirement. |
| `result.configured.topologyCapability.intendedCapabilityBlockers[].documentationLink` | `string` Output only. The url of Google Cloud public documentation explaining this requirement. This is set for every type of requirement. |
| `result.configured.topologyCapability.intendedCapabilityBlockers[].metros[]` | `string` Output only. Metros used to explain this blocker in more detail. These are three-letter lowercase strings like "iad". A blocker like INCOMPATIBLE_METROS will specify the problematic metros in this field. |
| `result.configured.topologyCapability.intendedCapabilityBlockers[].facilities[]` | `string` Output only. Facilities used to explain this blocker in more detail. Like physicalStructure.metros.facilities.facility, this is a numeric string like "5467". |
| `result.configured.topologyCapability.intendedCapabilityBlockers[].zones[]` | `string` Output only. Zones used to explain this blocker in more detail. Zone names are "zone1" and/or "zone2". |
| `result.configured.topologyCapability.intendedCapabilityBlockers[].interconnects[]` | `string` Output only. Interconnects used to explain this blocker in more detail. |
| `result.operational` | `object` Output only. The operational state of the group, including only active Interconnects. |
| `result.operational.topologyCapability` | `object` |
| `result.operational.topologyCapability.supportedSla` | `enum` |
| `result.operational.topologyCapability.intendedCapabilityBlockers[]` | `object` |
| `result.operational.topologyCapability.intendedCapabilityBlockers[].blockerType` | `enum` |
| `result.operational.topologyCapability.intendedCapabilityBlockers[].explanation` | `string` Output only. A human-readable explanation of this requirement and why it's not met. This is set for every type of requirement. |
| `result.operational.topologyCapability.intendedCapabilityBlockers[].documentationLink` | `string` Output only. The url of Google Cloud public documentation explaining this requirement. This is set for every type of requirement. |
| `result.operational.topologyCapability.intendedCapabilityBlockers[].metros[]` | `string` Output only. Metros used to explain this blocker in more detail. These are three-letter lowercase strings like "iad". A blocker like INCOMPATIBLE_METROS will specify the problematic metros in this field. |
| `result.operational.topologyCapability.intendedCapabilityBlockers[].facilities[]` | `string` Output only. Facilities used to explain this blocker in more detail. Like physicalStructure.metros.facilities.facility, this is a numeric string like "5467". |
| `result.operational.topologyCapability.intendedCapabilityBlockers[].zones[]` | `string` Output only. Zones used to explain this blocker in more detail. Zone names are "zone1" and/or "zone2". |
| `result.operational.topologyCapability.intendedCapabilityBlockers[].interconnects[]` | `string` Output only. Interconnects used to explain this blocker in more detail. |
| `etag` | `string` |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.interconnectGroups.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).